# Uses of Class
net.minestom.server.extras.selfmodification.MinestomRootClassLoader

Packages that use MinestomRootClassLoader
Package
Description
net.minestom.server.extras.selfmodification

## Uses of MinestomRootClassLoader in net.minestom.server.extras.selfmodification

Methods in net.minestom.server.extras.selfmodification that return MinestomRootClassLoader
Modifier and Type
Method
Description
`static MinestomRootClassLoader`
MinestomRootClassLoader.`getInstance()`
`MinestomRootClassLoader`
MinestomRootClassLoader.`setThreadLoggingClassloadingFailures(boolean logFailures)`
Constructors in net.minestom.server.extras.selfmodification with parameters of type MinestomRootClassLoader
Modifier
Constructor
Description
``
`MinestomExtensionClassLoader(String name, URL[] urls, MinestomRootClassLoader root)`